Subject: "git clone --depth <depth>" producing history with <depth + 1> commits?

From: Sebastian Pipping <[email-masked]>
Date: Thu, 26 Mar 2009 18:00:00 +0100

Hello!

Is "git clone --depth 1 <ropository>" expected to give a history
with 2 commits?  "--depth 2" gives 3 commits, "--depth 0" all.

Is that by design or a bug?

Sebastian